Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression
Interface UnificationList

public interface UnificationList

An interface for a class that maps variable names to the variable values.

Field Summary
`static java.lang.Byte` | `NO_BOUND_VALUE` A constant that is used as a marker to indicate that there is no value bound for a particular name string.

Method Summary
`void` | `addObject(java.lang.String name, java.lang.Object object)` Adds a new object to the unbound list.
`void` | `append(UnificationList unificationList)` Appends another UnificationList onto the end of this.
`void` | `bind(java.lang.String name, java.lang.Object value)` Binds a value to a given name.
`boolean` | `contains(java.lang.Object value)` Tests whether this contains the given value.
`boolean` | `containsBound(java.lang.String value)` Tests whether this contains the given value and the value has been bound to a variable name.
`java.lang.Object` | `getBound(java.lang.String name, java.lang.Class classType)` Returns the Object that has been bound to a name.
`java.lang.Object` | `getValue(java.lang.String name, java.lang.Class classType)` Returns the value of a bound variable or get an unbound value and then bind it.

Field Detail

### NO_BOUND_VALUE

    public static final java.lang.Byte NO_BOUND_VALUE

  A constant that is used as a marker to indicate that there is no value bound for a particular name string.

Method Detail

### bind

    public void bind(java.lang.String name,
                     java.lang.Object value)

  Binds a value to a given name.

  Parameters:
    `name` - the variable name for the value.
    `value` - the value to be associated with the name.

### getBound

    public java.lang.Object getBound(java.lang.String name,
                                     java.lang.Class classType)

  Returns the Object that has been bound to a name.

  Parameters:
    `name` - the variable name for the value.
    `classType` - the class type of the value requested.
  Returns:
    a bound value or null if none was found.

### getValue

    public java.lang.Object getValue(java.lang.String name,
                                     java.lang.Class classType)

  Returns the value of a bound variable or get an unbound value and then bind it.

  Parameters:
    `name` - the variable name for the value.
    `classType` - the class type of the value requested.
  Returns:
    a bound or unbound value or null if none was found.

### addObject

    public void addObject(java.lang.String name,
                          java.lang.Object object)

  Adds a new object to the unbound list.

  Parameters:
    `name` - the variable name for the value.
    `obj` - the value to be associated with the name.

### append

    public void append(UnificationList unificationList)

  Appends another UnificationList onto the end of this.

  Parameters:
    `list` - the UnificationList to be appended

### contains

    public boolean contains(java.lang.Object value)

  Tests whether this contains the given value. The contains test is done by matching the references.

  Parameters:
    `value` - the Object to be tested for.
  Returns:
    true if this `UnificationList` contains the given Object.

### containsBound

    public boolean containsBound(java.lang.String value)

  Tests whether this contains the given value and the value has been bound to a variable name. The contains test is done by matching the references.

  Parameters:
    `value` - the Object to be tested for.
  Returns:
    true if this `UnificationList` contains the given Object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved